# $Id$
# Authority: dag

Summary: Multi-platform helper library for other libraries
Name: gwenhywfar
Version: 3.11.3
Release: 1%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.aquamaniac.de/sites/download/packages.php?package=01&showall=1

# Download is PHP form at http://www.aquamaniac.de/sites/download/packages.php
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: %{name}-%{version}.tar.gz
Patch0: gwenhywfar-3.4.1-pkgconfig.patch
Patch2: gwen-open.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: openssl-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and AqBanking/AqHBCI, the German online banking libraries.

%package devel
Summary: Gwenhywfar development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup
# Port gwenhywfar-config to pkgconfig
%patch0 -p1 -b .pkgconfig

%build
%configure \
    --disable-static \
    --with-openssl-libs="%{_libdir}"
%{__perl} -pi.orig -e '
        s|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g;
    ' libtool
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gct-tool
%{_datadir}/gwenhywfar/
%{_libdir}/*.so.*
%{_libdir}/gwenhywfar/
%exclude %{_datadir}/gwenhywfar/typemaker*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/aclocal/gwenhywfar.m4
%{_datadir}/gwenhywfar/typemaker*
%{_includedir}/gwenhywfar3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%exclude %{_bindir}/gct-tool
%exclude %{_libdir}/*.la

%changelog
* Thu Mar 24 2011 Dag Wieers <dag@wieers.com> - 3.11.3-1
- Initial package. (using DAR)
